ConfigurationHelper (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.cfg
[Groovy] Class ConfigurationHelper

    java.lang.Object
      org.codehaus.groovy.grails.commons.cfg.ConfigurationHelper

    class ConfigurationHelper
    extends java.lang.Object

Helper methods for initialising config object.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static int` | `DEV_CACHE_KEY`

Property Summary
`static java.util.List` | `DEFAULT_RESOURCES_PLUGIN_EXCLUDES`

Method Summary
`static void` | `clearCachedConfig(DefaultGrailsApplication application)`
`static void` | `clearCachedConfigs()`
`static groovy.util.ConfigSlurper` | `getConfigSlurper(java.lang.String environment, GrailsApplication application)`
`static void` | `initConfig(groovy.util.ConfigObject config, org.springframework.core.io.ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)` Loads external configuration and merges with ConfigObject
`static void` | `initDefaultConfiguration(groovy.util.ConfigObject config)`
`static groovy.util.ConfigObject` | `loadConfigFromClasspath(java.lang.String environment)` ', '*
`static groovy.util.ConfigObject` | `loadConfigFromClasspath(DefaultGrailsApplication application = null, java.lang.String environment = Environment.current.name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEV_CACHE_KEY

    public static final int DEV_CACHE_KEY

Property Detail

### DEFAULT_RESOURCES_PLUGIN_EXCLUDES

    static final java.util.List DEFAULT_RESOURCES_PLUGIN_EXCLUDES

Method Detail

### clearCachedConfig

    @groovy.transform.CompileStatic
    static void clearCachedConfig(DefaultGrailsApplication application)

### clearCachedConfigs

    @groovy.transform.CompileStatic
    static void clearCachedConfigs()

### getConfigSlurper

    @groovy.transform.CompileStatic
    static groovy.util.ConfigSlurper getConfigSlurper(java.lang.String environment, GrailsApplication application)

### initConfig

    @groovy.transform.CompileStatic
    static void initConfig(groovy.util.ConfigObject config, org.springframework.core.io.ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)

  Loads external configuration and merges with ConfigObject

### initDefaultConfiguration

    static void initDefaultConfiguration(groovy.util.ConfigObject config)

### loadConfigFromClasspath

    @groovy.transform.CompileStatic
    static groovy.util.ConfigObject loadConfigFromClasspath(java.lang.String environment)

  ', '*

### loadConfigFromClasspath

    @groovy.transform.CompileStatic
    static groovy.util.ConfigObject loadConfigFromClasspath(DefaultGrailsApplication application = null, java.lang.String environment = Environment.current.name)

Groovy Documentation